Subject: Re: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Oct 2012 13:44:51 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 14 Oct 2012 10:23:41 +0200
> 
> Eli Zaretskii wrote:
> >> Wouldn't it be wise to always include the right .gdbinit file in every
> >> compiled Emacs, even in release versions? That way, "you" (in the broad
> >> sense) would always be sure users could give you the information you need
> >> to further debug problems...
> >
> > Official releases are provided with stripped executables, so a .gdbinit
> > file there will not help.
> > Development snapshots (on the http://alpha.gnu.org/gnu/emacs/windows/ page)
> > and pretest binaries (http://alpha.gnu.org/gnu/emacs/pretest/windows/),
> > which are not stripped of the debug info, already include .gdbinit to go
> > with them.
> 
> Nope, pretest binaries found on
> http://alpha.gnu.org/gnu/emacs/pretest/windows/ do not have any .gdbinit file
> provided with them. That was my problem.

Sorry, the pretest binaries are stripped as well, so .gdbinit is not
provided.

In a nutshell, a pretest is exactly like an official release, as long
as contents and stripped/non-stripped issues are concerned.

> Development snapshots do well have a .gdbinit file but the latest binary
> available is almost one month old (17th of Sep), and, as you said, I can't use
> that .gdbinit file for the pretest binary of Emacs 24.2.
> 
> Is there any other, more recent, version of Emacs 24.1 or 2 which I could use,
> avoiding the bugs which have been fixed in the last days or weeks?

The most recent version is always the latest development snapshot.